<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<title>unbenannt</title>
<meta name="generator" content="jrweb" />
<link rel="stylesheet" href="main.css">
<script src="main.js"></script>
<script>
function my_callback(json) {
    data = JSON.parse(json)
    document.getElementById('result').value=data.result;
}
</script>
</head>
<body>
    <div class="maindiv">
        <form id="form" action="hello" method="GET">
            <label for="x">x value</label><input type="text" id="x" name="x" value="5" /><br>
            <label for="y">y value</label><input type="text" id="y" name="y" value="2" /><br>
            <input type="submit" />
        </form>
            <label for="result">result</label><input type="text" id="result" />
    </div>
</body>
<script>
    prepare_form(document.getElementById("form"), my_callback);
</script>
</html>
